<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

	<h:form id="master">
		<p:dataTable value="#{productBean.products}" 
		    var="p" 
		    paginator="true"
			paginatorPosition="bottom" 
			rows="5" 
			rowKey="#{p.id}"
			selectionMode="single" 
			selection="#{productBean.product}">


			<f:facet name="header">
				<p:outputLabel value="all available products"></p:outputLabel>
			</f:facet>
			<p:ajax event="rowSelect"
				listener="#{productBean.onRowSelect(event)}" update=":details">

			</p:ajax>

			<p:column>

				<f:facet name="header">
					<p:outputLabel value="name"></p:outputLabel>
				</f:facet>
				<p:outputLabel value="#{p.name}"></p:outputLabel>
			</p:column>

			<p:column>

				<f:facet name="header">
					<p:outputLabel value="unitCost"></p:outputLabel>
				</f:facet>
				<p:outputLabel value="#{p.unitCost}"></p:outputLabel>
			</p:column>

			<p:column>

				<f:facet name="header">
					<p:outputLabel value="category"></p:outputLabel>
				</f:facet>
				<p:outputLabel value="#{p.category.name}"></p:outputLabel>
			</p:column>
			<p:column>

				<f:facet name="header">
					<p:outputLabel value="stock"></p:outputLabel>
				</f:facet>
				<p:outputLabel value="#{p.stock}"></p:outputLabel>
			</p:column>
		</p:dataTable>


		<p:commandButton value="new" actionListener="#{productBean.doNew()}" ajax="false" 
		 update=":details"></p:commandButton>


	</h:form>



	<!-- 	</ui:define> -->

</ui:composition>
